Subject: Re: ppc44x - how do i optimize driver for tlb hits

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 25 Sep 2010 08:11:04 +1000

On Fri, 2010-09-24 at 08:08 -0500, Ayman El-Khashab wrote:
> 
> I suppose another option is to to use the kernel profiling option I 
> always see but have never used.  Is that a viable option to figure out
> what is happening here?  

With perf and stochastic sampling ? If you sample fast enough... but
you'll mostly point to your routine I suppose... though it might tell
you statistically where in your code, which -might- help.

Cheers,
Ben.